<?php

namespace App\Entities\Equipment;

use App\Models\Equipment\PartModel;

class PartEntity extends EquipmentEntity
{
    const PK    = PartModel::PK;
    const TITLE = PartModel::TITLE;
    const DEFAULT_STATUS    = STATUS['AVAILABLE'];

    public function getType(): string
    {
        return $this->attributes['type'];
    }
    public function getPrice(): int
    {
        return $this->attributes['price'];
    }
    public function getCustomTitle(): string
    {
        return   $this->getTitle() . " " . number_format($this->getPrice()) . "원";
    }
}
